Built LMS Help Center
API Reference and PlaygroundCourses and CatalogCourses

GET List courses

Retrieve a paginated list of courses with filtering, search, and sorting

GET
/courses

Retrieve a paginated list of courses with filtering, search, and sorting

Authorization

AuthorizationBearer <token>

Send API keys and access tokens as Authorization: Bearer .

In: header

Query Parameters

limit?integer

Number of courses to return (1-100)

Range1 <= value <= 100
Default25
offset?integer

Number of courses to skip

Range0 <= value
Default0
category_id?string

Filter by category UUID

Formatuuid
status?string

Filter by course status. draft and archived require courses:manage permission. Without a status, archived courses are excluded.

Value in

  • "draft"
  • "published"
  • "archived"
difficulty?string

Filter by difficulty level

Value in

  • "beginner"
  • "intermediate"
  • "advanced"
  • "expert"
search?string

Search in title or description

include_unpublished?boolean

Include draft courses when no status is given (requires courses:manage permission)

Defaultfalse
sort_by?string

Field to sort by

Default"created_at"

Value in

  • "created_at"
  • "title"
  • "updated_at"
sort_order?string

Sort order

Default"desc"

Value in

  • "asc"
  • "desc"

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/courses"
{  "data": [    {      "id": "{id}",      "title": "string",      "slug": "string",      "description": "string",      "category": {        "id": "{id}",        "name": "string"      },      "difficulty": "beginner",      "duration_minutes": 0,      "thumbnail_url": "string",      "status": "draft",      "statistics": {        "enrollment_count": 0,        "completion_rate": 0      },      "created_at": "2019-08-24T14:15:22Z",      "updated_at": "2019-08-24T14:15:22Z"    }  ],  "meta": {    "organization_id": "{organization_id}",    "total": 0,    "total_count": 0,    "limit": 0,    "offset": 0,    "has_more": true,    "requested_at": "2019-08-24T14:15:22Z"  }}